Name:           fast-forward
Version:        2.3
Release:        2%{?dist}
Summary:        A PDDL planning system

License:        GPLv2+
URL:            https://fai.cs.uni-saarland.de/hoffmann/ff.html
Source0:        https://fai.cs.uni-saarland.de/hoffmann/ff/FF-v2.3.tgz
Patch0:         fast-forward.cflags.patch
Patch1:         fast-forward.print-result.patch

BuildRequires:  bison
BuildRequires:  flex

%description
Fast-Forward, abbreviated FF, is a domain independent planning system. FF can
handle classical STRIPS- as well as full scale ADL- planning tasks, to be
specified in PDDL.


%prep
%autosetup -p1 -n FF-v%{version}


%build
export CFLAGS="%{optflags}"
%make_build

find . -type f \( -name "*.h" -o -name "*.c" -o -name "*.y" -o -name "*.l" \) \
  -perm /111 -exec chmod -x '{}' \;
chmod -x README


%install
install -D -p -m755 ff %{buildroot}%{_bindir}/ff


%files
# TODO add missing license file
%doc README
%{_bindir}/ff



%changelog
* Tue Nov 08 2016 Till Hofmann <till.hofmann@posteo.de> - 2.3-2
- Add patch to print the result to a file

* Wed Aug 17 2016 Till Hofmann <till.hofmann@posteo.de> - 2.3-1
- Initial package
- 
